Subject: Re: bug#44202: [PATCH] Add variable to control confirmation of help-mode-revert-buffer

From: Stefan Kangas <[email-masked]>
Date: Tue, 17 Nov 2020 05:04:29 -0800

Lars Ingebrigtsen <[email-masked]> writes:

> So I've just removed the prompting in *Help* unconditionally on the
> trunk now.

I like this change.  But I have now run into the scenario where I type
`g' to see the new value of a variable (where I expected a change) and
nothing seemed to happen.  The problem, of course, was that the value of
the variable did not change as I expected.

For me, this is fine, but I think this risks being confusing to
beginners.  And now I'm starting to think that perhaps this is why the
prompt was added in the first place.

So I wonder if it would perhaps make sense to show a message when the
buffer is reverted?  That way the user will get at least some feedback.